# Liu_Gollisch_2021_RGC_spiketrains_spatial_contrast_model

### Data: Salamander retinal ganglion cells under natural images
Contact: Tim Gollisch, Email: tim.gollisch@med.uni-goettingen.de, Website: https://www.retina.uni-goettingen.de/

This repository contains the main data that was analyzed in the paper

Liu JK, Gollisch T (2021) Simple Model for Encoding Natural Images by Retinal Ganglion Cells with Nonlinear Spatial Integration..

The data set contains multielectrode-array recordings of retinal ganglion cell spiking activity, measured in the isolated salamander retina. The stimulus was a sequnce of 300 natural images, plus 1 black image, 1 gray images and 1 white image. For details, please refer to the Methods section of the original paper.

If you plan to use this data for a publication, please inform us about it and don’t forget to cite the original paper as well as the source of the data (DOI XXX).


### Structure of the data:

ImageData.mat: 303 stimulus images with natural images [1:300], black image [301], gray image [302] and white image [303]

DATA.mat: there are two Matlab structured data with 156 cells. 
1) Raster_data [N_cell, N_image, N_time, N_trial] is the binary raster spike variable for each cell [N_cell=156] and image [N_image=303] within a time window [N_time=300 ms] in each trial [N_trial]. 
2) RF_parameter has the parameters for the receptive fields (RFs) fitted by a 2D Gaussian function.

Fig1_example.m: the example Matlab script to demonstrate the plot of the RF and raster under a stimulus image. By default, running this script gives the plot in Fig.B.

